module FontPair
  ##
  # Search pairs for a specific typeface.
  class Search
    attr_reader :pairs

    def initialize(typeface, path)
      @path = path
      @typeface = typeface.downcase
      @pairs = find_pairs
    end

    def pretty_print
      if pairs.length.zero?
        $stderr.puts 'No pairs found'
        return
      end

      $stderr.puts 'You should consider the following pairs:'
      pairs.each { |pair| $stderr.puts "  + #{pair}" }
    end

    private

    def find_pairs
      font_pairs = File::readlines(@path)
      font_pairs.select { |pair| pair.downcase.match(@typeface) }
    end
  end
end
